首頁 > QGIS, 操作功能 > OpenLayers Plugin替代方案:QuickMapServices Plugin

OpenLayers Plugin替代方案:QuickMapServices Plugin

2018年5月15日 發表評論 閱讀評論

QGIS使用者經常利用OpenLayers Plugin來取用Google地圖或衛星影像當作底圖,不過在QGIS 2.18版會出現「Printing and rotating of JavaScript API based layers is currently not supported!」錯誤訊息,也就是原本該小工具利用Google Map API來調用Google地圖資源已經不可靠,當使用地圖出版設計匯出地圖時就會產生圖層錯位(套疊不準確)的問題,如下圖所示。

解決上述問題就是改用QuickMapServices Plugin,與OpenLayers Plugin不同,預設圖層清單中並沒有羅列Google地圖資源,而是透過[網路]->[QuickMapServices]->[Search QMS]啟動搜尋介面,並以google為關鍵詞進行搜尋,之後就可以選取所需圖層加入專案當中。

目前利用這個方式將Google地圖或衛星影像當作底圖,當使用地圖出版設計匯出地圖時,套疊結果就會正常如下圖所示。

另外,如果你有自建或發現新的WTMS、TMS服務資源,就也可以上QuickMapServices官網(https://qms.nextgis.com)註冊加入相關連結資訊,就可造福其他使用者。

相關資訊:

 

Categories: QGIS, 操作功能 Tags:
  1. 目前尚無任何的評論。
  1. 目前尚無任何 trackbacks 和 pingbacks。
您必須 登入 後才能發表評論。